SEC Filings
US Filing Index
Call GET /us/filings/{accession_number}/index on the Corpus API.
GET /us/filings/{accession_number}/index
Call GET /us/filings/{accession_number}/index on the Corpus API.
Category: US · filings
Authentication
Send the provisioned API key in the X-API-KEY header.
Required scopes: us:read.
Request
| Name | In | Required | Type | Constraints | Description |
|---|---|---|---|---|---|
| accession_number | path | yes | string | — | — |
Example request
curl --request GET \
--url 'https://corpus-api.onera.app/us/filings/0000320193-25-000079/index' \
--header "X-API-KEY: ${CORPUS_API_KEY}"
Responses
| Status | Description | Content type | Schema |
|---|---|---|---|
| 200 | Successful Response | application/json | FilingFilesResponse |
| 400 | Invalid parameter combination | application/json | ErrorResponse |
| 401 | Missing or invalid API key | application/json | ErrorResponse |
| 403 | Insufficient jurisdiction or scope | application/json | ErrorResponse |
| 404 | Unknown resource | application/json | ErrorResponse |
| 422 | Request schema validation failed | application/json | ErrorResponse |
| 429 | Rate limit exceeded | application/json | ErrorResponse |
| 503 | Source content is unavailable or still processing | application/json | FilingProcessingErrorResponse |
Representative 200 response
{
"accession_number": "0000320193-25-000079",
"files": [
{
"file_name": "string",
"role": "string",
"storage_status": "string",
"content_type": "string",
"sec_url": "https://corpus-api.onera.app",
"sha256": "string",
"byte_size": 1
}
],
"meta": {
"jurisdiction": "US",
"count": 1,
"limit": 10,
"offset": 0,
"next_offset": null,
"as_of": "2025-12-31T23:59:59Z",
"normalization_version": "string",
"provenance": {}
}
}